unit editflds;
{
  Quick Report Editor

  Copyright (c) 1997,2000 Demidov Andre (andre@lion.susu.ac.ru)

}

interface

uses
  Winprocs, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Db, Buttons;

type
  TFieldsSetupFrm = class(TForm)
    Memo1: TMemo;
    Memo2: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Label3: TLabel;
    Label4: TLabel;
    Button1: TButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FieldsSetupFrm: TFieldsSetupFrm;

implementation
uses qedconst, dbtables;
{$R *.DFM}

procedure TFieldsSetupFrm.FormCreate(Sender: TObject);
begin
  Caption:=LoadStr(SFieldsProp);
  BitBtn1.Caption:=LoadStr(SOK);
  BitBtn2.Caption:=LoadStr(SCancel);
  Button1.Caption:=LoadStr(SAddnames);
  Label1.Caption:=LoadStr(SFields);
  Label2.Caption:=LoadStr(SFormats);
  Label3.Caption:=LoadStr(SDatabase);
  Label4.Caption:=LoadStr(STable);
  Session.GetDatabaseNames(ComboBox1.Items);
end;

procedure TFieldsSetupFrm.ComboBox1Change(Sender: TObject);
begin
  if ComboBox1.Text<>'' then
  begin
    Session.gettablenames(Combobox1.Text, '', false, false,
      Combobox2.Items);
  end;
end;

procedure TFieldsSetupFrm.Button1Click(Sender: TObject);
var i:integer;
    Table1:TTable;
begin
  if (ComboBox1.Text<>'') and (ComboBox2.Text<>'') then
  begin
    Table1:=TTable.Create(Self);
    try
      Table1.DatabaseName:=ComboBox1.Text;
      Table1.TableName:=ComboBox2.Text;
      try
        Table1.Active:=true;
        for i:=0 to Table1.FieldCount-1 do
        begin
          Memo1.Lines.Add(Table1.Fields[i].FieldName);
        end;
        Table1.Active:=False;
      except
        ;
      end;
    finally
      Table1.Free;
    end;
  end;
end;

end.
