unit editimag;
{
  Quick Report Editor

  Copyright (c) 1997,2000 Demidov Andre (andre@lion.susu.ac.ru)

}

interface

uses
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons, WinProcs;

type
  TQRImageSetupFrm = class(TForm)
    Label3: TLabel;
    ShapeLeft: TEdit;
    ShapeTop: TEdit;
    Label4: TLabel;
    ShapeWidth: TEdit;
    ShapeHeight: TEdit;
    Label1: TLabel;
    AutoResizeMode: TComboBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Image1: TImage;
    Label2: TLabel;
    ImageAutoSize: TCheckBox;
    ImageCenter: TCheckBox;
    ImageStretch: TCheckBox;
    Button1: TButton;
    OpenPictureDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure ShapeLeftExit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  QRImageSetupFrm: TQRImageSetupFrm;

implementation
{$I QREPDEFS.INC}
uses qedconst;
{$R *.DFM}

procedure TQRImageSetupFrm.Button1Click(Sender: TObject);
begin
  if OpenPictureDialog1.Execute then
    Image1.Picture.LoadFromFile(OpenPictureDialog1.Filename);
end;

procedure TQRImageSetupFrm.FormCreate(Sender: TObject);
begin
  Caption:=LoadStr(SImageProp);
  BitBtn1.Caption:=LoadStr(SOK);
  BitBtn2.Caption:=LoadStr(SCancel);
  Label2.Caption:=LoadStr(SPicture);
  Label3.Caption:=LoadStr(SPos);
  Label4.Caption:=LoadStr(SSize);
  Label1.Caption:=LoadStr(SAutoResize);
  AutoResizeMode.Items[0]:=LoadStr(SNoChange);
  AutoResizeMode.Items[1]:=LoadStr(SChangeSize);
  AutoResizeMode.Items[2]:=LoadStr(SChangePos);
  ImageAutosize.Caption:=LoadStr(SAutosize);
  ImageCenter.Caption:=LoadStr(SCenter);
  ImageStretch.Caption:=LoadStr(SStretch);
  Button1.Caption:=LoadStr(SLoadPicture);
end;

procedure TQRImageSetupFrm.ShapeLeftExit(Sender: TObject);
begin
  with Sender as TEdit do
  begin
    try
{$IFDEF QR20}
      text:=FloattostrF(StrtoFloat(text),ffFixed,8,1);
{$ELSE}
      text:=inttostr(Strtoint(text));
{$ENDIF}
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;
end;

end.
