unit Editpage;
{
  Quick Report Editor

  Copyright (c) 1997,2000 Demidov Andre (andre@lion.susu.ac.ru)

}

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons;

type
  TPageSetupFrm = class(TForm)
    Label1: TLabel;
    PageLeft: TEdit;
    Label2: TLabel;
    PageTop: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label3: TLabel;
    PageRight: TEdit;
    Label4: TLabel;
    PageBottom: TEdit;
    procedure PageLeftExit(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PageSetupFrm: TPageSetupFrm;

implementation

{$I QREPDEFS.INC}

uses qedconst;

{$R *.DFM}

procedure TPageSetupFrm.PageLeftExit(Sender: TObject);
begin
  with Sender as TEdit do
  begin
    try
{$IFDEF QR20}
      text:=FloatToStrF(StrtoFloat(text),ffFixed,8,1);
{$ELSE}
      text:=inttostr(Strtoint(text));
{$ENDIF}
    except
      messagebeep($FFFF);
      SetFocus;
    end;
  end;
end;

procedure TPageSetupFrm.FormCreate(Sender: TObject);
begin
  Caption:=LoadStr(SPageProp);
  BitBtn1.Caption:=LoadStr(SOK);
  BitBtn2.Caption:=LoadStr(SCancel);
  Label1.Caption:=LoadStr(SPageLeft);
  Label2.Caption:=LoadStr(SPageTop);
  Label3.Caption:=LoadStr(SPageRight);
  Label4.Caption:=LoadStr(SPageBottom);
end;

end.
